Howto: Install Xilinx ISE Design Suite 14.7 on Arch Linux

In order to get our Elbert 2 FPGA working, we will need to install Xilinx ISE Design Suite.

The official instructions for installing this piece of software can be found at the excellent Arch wiki page on the Xilinx ISE WebPACK. There is one step in the instructions that is a bit confusing.

Install the package xilinx-iseAUR, you will have to place the tarball with the installation data in the same folder of the PKGBUILD before starting the building process.

If this is confusing to you, then follow along.

Installing Xilinx ISE Design Suite 14.7 on Arch requires a few extra steps. Namely, it requires us to download the installation file separately before installing the package, and insert it directly into the package for use by the package install script (called PKGBUILD).

We first must obtain the needed installation content. We do this by navigating the (notably confusing) website of Xilinx. The normal download process will leave us with a 4 part split multi-part compressed file. This is not what we want. Instead use this page here to download a single .tar file with the installation contents.

Note that the installation you download and the xilinx-ise package in the AUR must have matching versions. In this case, the file we download as well as the file expected by the AUR package installation script are both Xilinx_ISE_DS_Lin_14.7_1015_1.tar

In order to proceed, we need to download the package build from the AUR. We do this with the following command.

$ yay --getpkgbuild xilinx-ise

We need to add an additional file into the package build. We can do this by navigating to the location of our yay cache, which is where packages get downloaded to.

$ cd ~/.cache/yay/
$ ls

We will see a folder with our package.

$ cd ~/.cache/yay/xilinx-ise
$ ls

Move the .tar into the build package.

$ mv ~/Downloads/Xilinx_ISE_DS_Lin_14.7_1015_1.tar .

Now install the xilinx-ise package.

$ yay -S xilinx-ise

If you receive an error about the uncompressed install media not being found, you might need to change the following line by editing the PKGBUILD file. Do so as follows when installing the package.

$ yay -S --editmenu xilinx-ise

You'll need to change the following line from:

source=('file://Xilinx_ISE_DS_Lin_14.7_1015_1.tar')

to this:

source=('Xilinx_ISE_DS_Lin_14.7_1015_1.tar')

This change will allow for the file to be untarred and made available for the install.

You can learn more about PKGBUILD scripts at the Arch wiki.


Share Tweet Send
0 Comments
Loading...
You've successfully subscribed to Linux Developer
Great! Next, complete checkout for full access to Linux Developer
Welcome back! You've successfully signed in
Success! Your account is fully activated, you now have access to all content.